function Fly()
	if script.Parent.Value == true then
		game.Workspace.TARDISDoors.Locked.Value = true

		game.Workspace.Spinner1.Move.Disabled = false
		game.Workspace.Spinner2.Move.Disabled = false
		game.Workspace.Spinner3.Move.Disabled = false

		game.Workspace.Glass.Vents:Stop()

		game.Workspace.Glass.Drum1:Play()
		game.Workspace.Glass.Ticking.Pitch = 0.7
		game.Workspace.Glass.Ticking:Play()
		game.Workspace.Glass.Flight:Play()
		wait(0.2)
		game.Workspace.Glass.Ticking.Pitch = 0.8
		wait(0.2)
		game.Workspace.Glass.Ticking.Pitch = 0.9
		wait(0.2)
		game.Workspace.Glass.Ticking.Pitch = 1
		wait(0.2)

		game.Workspace.Glass.Takeoff:Play()

	else

		wait(5.5)
		game.Workspace.TARDISDoors.Locked.Value = false
		game.Workspace.Glass.Drum1:Play()
		wait(0.2)
		game.Workspace.Glass.Drum2:Play()
		game.Workspace.Glass.Flight:Stop()
		game.Workspace.Glass.Ticking:Stop()

		game.Workspace.Spinner1.Move.Disabled = true
		game.Workspace.Spinner2.Move.Disabled = true
		game.Workspace.Spinner3.Move.Disabled = true

		game.Workspace.Glass.Vents:Play()
	end
end

script.Parent.Changed:connect(Fly)